org.apache.nutch.webui.client.model

## Class Crawl

- java.lang.Object
- - org.apache.nutch.webui.client.model.Crawl

- All Implemented Interfaces:
    Serializable

      @Entity
      public class Crawl
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Crawl.CrawlStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Crawl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCrawlId()`
    `String` | `getCrawlName()`
    `Long` | `getId()`
    `Integer` | `getNumberOfRounds()`
    `int` | `getProgress()`
    `String` | `getSeedDirectory()`
    `SeedList` | `getSeedList()`
    `Crawl.CrawlStatus` | `getStatus()`
    `void` | `setCrawlId(String crawlId)`
    `void` | `setCrawlName(String crawlName)`
    `void` | `setId(Long id)`
    `void` | `setNumberOfRounds(Integer numberOfRounds)`
    `void` | `setProgress(int progress)`
    `void` | `setSeedDirectory(String seedDirectory)`
    `void` | `setSeedList(SeedList seedList)`
    `void` | `setStatus(Crawl.CrawlStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Crawl

          public Crawl()

  - ### Method Detail

    - #### getNumberOfRounds

          public Integer getNumberOfRounds()

    - #### setNumberOfRounds

          public void setNumberOfRounds(Integer numberOfRounds)

    - #### getCrawlId

          public String getCrawlId()

    - #### setCrawlId

          public void setCrawlId(String crawlId)

    - #### getStatus

          public Crawl.CrawlStatus getStatus()

    - #### setStatus

          public void setStatus(Crawl.CrawlStatus status)

    - #### getCrawlName

          public String getCrawlName()

    - #### setCrawlName

          public void setCrawlName(String crawlName)

    - #### getSeedList

          public SeedList getSeedList()

    - #### setSeedList

          public void setSeedList(SeedList seedList)

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

    - #### getSeedDirectory

          public String getSeedDirectory()

    - #### setSeedDirectory

          public void setSeedDirectory(String seedDirectory)

    - #### getProgress

          public int getProgress()

    - #### setProgress

          public void setProgress(int progress)

Copyright © 2020 The Apache Software Foundation